Skip to main content
POST
/
twitter
/
{screen_name}
/
timeline
Get User Timeline and Fill Count
curl --request POST \
  --url https://api.twexapi.io/twitter/{screen_name}/timeline \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "count": 20
}'
{
  "data": [
    {
      "tweet_id": "<string>",
      "is_paid_promotion": false,
      "full_text": "<string>",
      "created_at": "<string>",
      "lang": "<string>",
      "conversation_id": "<string>",
      "bookmark_count": 0,
      "favorite_count": 0,
      "reply_count": 0,
      "retweet_count": 0,
      "quote_count": 0,
      "view_count": "<string>",
      "view_count_state": "<string>",
      "author_user_id": "<string>",
      "author_screen_name": "<string>",
      "author_name": "<string>",
      "author_is_blue_verified": true,
      "author_verified": true,
      "author_is_verified_organization_affiliate": true
    }
  ],
  "total_fetched_count": 123,
  "page_count": 123,
  "code": 200,
  "msg": "success"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

screen_name
string
required

Twitter screen name of the target user (with or without @).

Example:

"axiaisacat"

Body

application/json
count
integer
default:20

Maximum number of tweets to return across all pages.

Required range: 1 <= x <= 1000
Example:

20

Response

All fetched tweets and pagination summary.

data
UserTweetItem · object[]
required

All fetched tweets.

total_fetched_count
integer
required

Total number of tweets fetched across pages.

page_count
integer
required

Number of pages fetched.

code
integer
default:200

HTTP status code

msg
string
default:success

Response message